package com.mortals.xhx.module.yth.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:YthOnethingDetail
* date: 2021-9-23 16:22:50
*/
public class YthOnethingDetailQuery extends YthOnethingDetailEntity{
    private static final long serialVersionUID = 1632385370718L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 材料提交id */
    private Long oneThingIdStart;

    /** 结束 材料提交id */
    private Long oneThingIdEnd;

    /** 增加 材料提交id */
    private Long oneThingIdIncrement;

    /** 材料提交id */
    private List <Long> oneThingIdList;

    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id */
    private List <Long> matterIdList;

    /** 开始 材料id */
    private Long datumIdStart;

    /** 结束 材料id */
    private Long datumIdEnd;

    /** 增加 材料id */
    private Long datumIdIncrement;

    /** 材料id */
    private List <Long> datumIdList;


    /** 附件名称 */
    private List<String> fileNameList;

    /** 附件地址 */
    private List<String> filepathList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<YthOnethingDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<YthOnethingDetailQuery> andConditionList;


    public YthOnethingDetailQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 材料提交id
    * @return oneThingIdStart
    */
    public Long getOneThingIdStart(){
    return this.oneThingIdStart;
    }

    /**
    * 设置 开始 材料提交id
    * @param oneThingIdStart
    */
    public void setOneThingIdStart(Long oneThingIdStart){
    this.oneThingIdStart = oneThingIdStart;
    }

    /**
    * 获取 结束 材料提交id
    * @return oneThingIdEnd
    */
    public Long getOneThingIdEnd(){
    return this.oneThingIdEnd;
    }

    /**
    * 设置 结束 材料提交id
    * @param oneThingIdEnd
    */
    public void setOneThingIdEnd(Long oneThingIdEnd){
    this.oneThingIdEnd = oneThingIdEnd;
    }

    /**
    * 获取 增加 材料提交id
    * @return oneThingIdIncrement
    */
    public Long getOneThingIdIncrement(){
    return this.oneThingIdIncrement;
    }

    /**
    * 设置 增加 材料提交id
    * @param oneThingIdIncrement
    */
    public void setOneThingIdIncrement(Long oneThingIdIncrement){
    this.oneThingIdIncrement = oneThingIdIncrement;
    }

    /**
    * 获取 材料提交id
    * @return oneThingIdList
    */
    public List<Long> getOneThingIdList(){
    return this.oneThingIdList;
    }

    /**
    * 设置 材料提交id
    * @param oneThingIdList
    */
    public void setOneThingIdList(List<Long> oneThingIdList){
        this.oneThingIdList = oneThingIdList;
        }
    /**
    * 获取 开始 事项id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
    return this.matterIdStart;
    }

    /**
    * 设置 开始 事项id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
    this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项id
    * @return matterIdEnd
    */
    public Long getMatterIdEnd(){
    return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
    this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
    return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
    this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
    return this.matterIdList;
    }

    /**
    * 设置 事项id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        }
    /**
    * 获取 开始 材料id
    * @return datumIdStart
    */
    public Long getDatumIdStart(){
    return this.datumIdStart;
    }

    /**
    * 设置 开始 材料id
    * @param datumIdStart
    */
    public void setDatumIdStart(Long datumIdStart){
    this.datumIdStart = datumIdStart;
    }

    /**
    * 获取 结束 材料id
    * @return datumIdEnd
    */
    public Long getDatumIdEnd(){
    return this.datumIdEnd;
    }

    /**
    * 设置 结束 材料id
    * @param datumIdEnd
    */
    public void setDatumIdEnd(Long datumIdEnd){
    this.datumIdEnd = datumIdEnd;
    }

    /**
    * 获取 增加 材料id
    * @return datumIdIncrement
    */
    public Long getDatumIdIncrement(){
    return this.datumIdIncrement;
    }

    /**
    * 设置 增加 材料id
    * @param datumIdIncrement
    */
    public void setDatumIdIncrement(Long datumIdIncrement){
    this.datumIdIncrement = datumIdIncrement;
    }

    /**
    * 获取 材料id
    * @return datumIdList
    */
    public List<Long> getDatumIdList(){
    return this.datumIdList;
    }

    /**
    * 设置 材料id
    * @param datumIdList
    */
    public void setDatumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
        }
    /**
    * 获取 附件名称
    * @return fileNameList
    */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
    * 设置 附件名称
    * @param fileNameList
    */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }
    /**
    * 获取 附件地址
    * @return filepathList
    */
    public List<String> getFilepathList(){
        return this.filepathList;
    }

    /**
    * 设置 附件地址
    * @param filepathList
    */
    public void setFilepathList(List<String> filepathList){
        this.filepathList = filepathList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public YthOnethingDetailQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public YthOnethingDetailQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public YthOnethingDetailQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public YthOnethingDetailQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public YthOnethingDetailQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  材料提交id
    * @param oneThingId
    */
    public YthOnethingDetailQuery oneThingId(Long oneThingId){
	    setOneThingId(oneThingId);
		return this;
    }
	
	 /**
    * 设置 开始 材料提交id
    * @param oneThingIdStart
    */
    public YthOnethingDetailQuery oneThingIdStart(Long oneThingIdStart){
		this.oneThingIdStart = oneThingIdStart;
		return this;
    }

    /**
    * 设置 结束 材料提交id
    * @param oneThingIdEnd
    */
    public YthOnethingDetailQuery oneThingIdEnd(Long oneThingIdEnd){
		this.oneThingIdEnd = oneThingIdEnd;
		return this;
    }

    /**
    * 设置 增加 材料提交id
    * @param oneThingIdIncrement
    */
    public YthOnethingDetailQuery oneThingIdIncrement(Long oneThingIdIncrement){
		this.oneThingIdIncrement = oneThingIdIncrement;
		return this;
    }

    /**
    * 设置 材料提交id
    * @param oneThingIdList
    */
    public YthOnethingDetailQuery oneThingIdList(List<Long> oneThingIdList){
        this.oneThingIdList = oneThingIdList;
		return this;
        }

	/**
    * 设置  事项id
    * @param matterId
    */
    public YthOnethingDetailQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项id
    * @param matterIdStart
    */
    public YthOnethingDetailQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项id
    * @param matterIdEnd
    */
    public YthOnethingDetailQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项id
    * @param matterIdIncrement
    */
    public YthOnethingDetailQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项id
    * @param matterIdList
    */
    public YthOnethingDetailQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }

	/**
    * 设置  材料id
    * @param datumId
    */
    public YthOnethingDetailQuery datumId(Long datumId){
	    setDatumId(datumId);
		return this;
    }
	
	 /**
    * 设置 开始 材料id
    * @param datumIdStart
    */
    public YthOnethingDetailQuery datumIdStart(Long datumIdStart){
		this.datumIdStart = datumIdStart;
		return this;
    }

    /**
    * 设置 结束 材料id
    * @param datumIdEnd
    */
    public YthOnethingDetailQuery datumIdEnd(Long datumIdEnd){
		this.datumIdEnd = datumIdEnd;
		return this;
    }

    /**
    * 设置 增加 材料id
    * @param datumIdIncrement
    */
    public YthOnethingDetailQuery datumIdIncrement(Long datumIdIncrement){
		this.datumIdIncrement = datumIdIncrement;
		return this;
    }

    /**
    * 设置 材料id
    * @param datumIdList
    */
    public YthOnethingDetailQuery datumIdList(List<Long> datumIdList){
        this.datumIdList = datumIdList;
		return this;
        }
	/**
    * 设置 附件名称
    * @param fileName
    */
    public YthOnethingDetailQuery fileName(String fileName){
        setFileName(fileName);
		return this;
    }


    /**
    * 设置 附件名称
    * @param fileNameList
    */
    public YthOnethingDetailQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
		return this;
    }
	/**
    * 设置 附件地址
    * @param filepath
    */
    public YthOnethingDetailQuery filepath(String filepath){
        setFilepath(filepath);
		return this;
    }


    /**
    * 设置 附件地址
    * @param filepathList
    */
    public YthOnethingDetailQuery filepathList(List<String> filepathList){
        this.filepathList = filepathList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public YthOnethingDetailQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public YthOnethingDetailQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public YthOnethingDetailQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public YthOnethingDetailQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public YthOnethingDetailQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public YthOnethingDetailQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public YthOnethingDetailQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public YthOnethingDetailQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<YthOnethingDetailQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<YthOnethingDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<YthOnethingDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<YthOnethingDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}